# Method: projects.locations.zones.create

- [HTTP request](https://docs.cloud.google.com/distributed-cloud/connected/1.7.0/docs/reference/hardware/rest/v1alpha/projects.locations.zones/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/distributed-cloud/connected/1.7.0/docs/reference/hardware/rest/v1alpha/projects.locations.zones/create#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/distributed-cloud/connected/1.7.0/docs/reference/hardware/rest/v1alpha/projects.locations.zones/create#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/distributed-cloud/connected/1.7.0/docs/reference/hardware/rest/v1alpha/projects.locations.zones/create#body.request_body)
- [Response body](https://docs.cloud.google.com/distributed-cloud/connected/1.7.0/docs/reference/hardware/rest/v1alpha/projects.locations.zones/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/distributed-cloud/connected/1.7.0/docs/reference/hardware/rest/v1alpha/projects.locations.zones/create#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/distributed-cloud/connected/1.7.0/docs/reference/hardware/rest/v1alpha/projects.locations.zones/create#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/distributed-cloud/connected/1.7.0/docs/reference/hardware/rest/v1alpha/projects.locations.zones/create#try-it)

Creates a new zone in a given project and location.

### HTTP request

`POST https://gdchardwaremanagement.googleapis.com/v1alpha/{parent=projects/*/locations/*}/zones`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The project and location to create the zone in. Format: `projects/{project}/locations/{location}` |

### Query parameters

| Parameters ||
|---|---|
| `zoneId` | `string` Optional. ID used to uniquely identify the Zone within its parent scope. This field should contain at most 63 characters and must start with lowercase characters. Only lowercase characters, numbers and `-` are accepted. The `-` character cannot be the first or the last one. A system generated ID will be used if the field is not set. The zone.name field in the request will be ignored. |
| `requestId` | `string` Optional. An optional unique identifier for this request. See [AIP-155](https://google.aip.dev/155). |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/distributed-cloud/edge/1.7.0/docs/reference/hardware/rest/v1alpha/projects.locations.zones#Zone`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/distributed-cloud/edge/1.7.0/docs/reference/hardware/rest/v1alpha/projects.locations.operations#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `gdchardwaremanagement.zones.create`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).